<div align="right">
<app-menu></app-menu>
</div>

<h3>
{{ title }}!
</h3>

<table mat-table [dataSource]="dataSource" class="mat-elevation-z8">

    <!--- Note that these columns can be defined in any order.
          The actual rendered columns are set as a property on the row definition" -->
  
    <!-- Position Column -->
    <ng-container matColumnDef="nombres">
      <th mat-header-cell *matHeaderCellDef> Nombres </th>
      <td mat-cell *matCellDef="let element"> {{element.nombres}} </td>
    </ng-container>

    <ng-container matColumnDef="apellidos">
      <th mat-header-cell *matHeaderCellDef> Apellidos </th>
      <td mat-cell *matCellDef="let element"> {{element.apellidos}} </td>
    </ng-container>

    <ng-container matColumnDef="profesion">
      <th mat-header-cell *matHeaderCellDef> profesion </th>
      <td mat-cell *matCellDef="let element"> {{element.profesion}} </td>
    </ng-container>

    <ng-container matColumnDef="lugarTrabajo">
      <th mat-header-cell *matHeaderCellDef> Lugar de trabjo </th>
      <td mat-cell *matCellDef="let element"> {{element.lugarTrabajo}} </td>
    </ng-container>

    <ng-container matColumnDef="edad">
      <th mat-header-cell *matHeaderCellDef> Edad </th>
      <td mat-cell *matCellDef="let element"> {{element.edad}} </td>
    </ng-container>

    <ng-container matColumnDef="valorVoto">
        <th mat-header-cell *matHeaderCellDef> Voto </th>
        <td mat-cell *matCellDef="let element"> {{element.valorVoto}} </td>
      </ng-container>
    
    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
  </table>